=== debian/changelog ===
ros-indigo-sr-edc-ethercat-drivers (1.4.0-0trusty) trusty; urgency=high

  * Fixed loop counter for tactile publisher throttling to be at 100Hz
  * Fix serial to string conversion
  * Set node handle from ouside the robot_lib. Prefix the diagnostics.
  * Add ns_prefix and joint_prefix to hand devices.

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-edc-ethercat-drivers (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-edc-ethercat-drivers (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 14 Feb 2014 00:00:00 -0000
